Bug 1385331 - Review Request: hot-tux - Graphical CPU utilization monitoring utility
Summary: Review Request: hot-tux - Graphical CPU utilization monitoring utility
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-16 10:25 UTC by jiri vanek
Modified: 2017-01-20 18:17 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-20 17:52:41 UTC
projects.rg: fedora-review+


Attachments (Terms of Use)

Description jiri vanek 2016-10-16 10:25:48 UTC
Spec URL: https://jvanek.fedorapeople.org/hot-tux/r1/hot-tux.spec
SRPM URL: https://jvanek.fedorapeople.org/hot-tux/r1/hot-tux-0.3.1-1.fc24.src.rpm
Description: Graphical CPU utilization monitoring utility
Fedora Account System Username: jvanek

Comment 1 Link Dupont 2016-10-19 06:00:01 UTC
Incorrect version in %changelog.

> hot-tux.x86_64: W: incoherent-version-in-changelog 0.3.0-1 ['0.3.1-1.fc24', '0.3.1-1']
> 2 packages and 0 specfiles checked; 0 errors, 1 warnings.

Try submitting a scratch build to koji to build on all the supported architectures.

*Note I am not yet an approved packager*

Comment 2 jiri vanek 2016-10-19 11:45:36 UTC
Thanx! I will fix it with other issues flowing from review.

As for scratches - I built it on all architectures, but scracthbuilds have very short live, so it do not have sense to put them here, as they usually disapear before anybody pick the bug up.

Comment 3 Petr Pisar 2016-10-21 08:43:51 UTC
You should build-require `sed' (called from the spec file), `coreutils' (called from Makefile). And probably `pkgconfig' (called from Makefile).

You should also remove `-O2' and `-g' from CFLAGS in the Makefile as it undermines distribution specific setting.

You should also provide AppData <https://fedoraproject.org/wiki/Packaging:AppData> because this is an graphical application.

Comment 4 jiri vanek 2016-10-21 09:16:33 UTC
> Incorrect version in %changelog.

fixed


(In reply to Petr Pisar from comment #3)
> You should build-require `sed' (called from the spec file), `coreutils'
> (called from Makefile). And probably `pkgconfig' (called from Makefile).
> 
> You should also remove `-O2' and `-g' from CFLAGS in the Makefile as it
> undermines distribution specific setting.

Thanx!
fixed:

Spec URL: https://jvanek.fedorapeople.org/hot-tux/r2/hot-tux.spec
SRPM URL: https://jvanek.fedorapeople.org/hot-tux/r2/hot-tux-0.3.1-1.fc24.src.rpm

> 
> You should also provide AppData
> <https://fedoraproject.org/wiki/Packaging:AppData> because this is an
> graphical application.

Yup. And menu record. I have them in plan in upstream in longer time period.

Comment 5 Raphael Groner 2016-10-23 09:37:03 UTC
You should add the files named copyright to %license and CONTRIBUTORS to %doc to fully honor the authors.

Comment 6 jiri vanek 2016-10-24 08:12:49 UTC
fixed:

Spec URL: https://jvanek.fedorapeople.org/hot-tux/r3/hot-tux.spec
SRPM URL: https://jvanek.fedorapeople.org/hot-tux/r3/hot-tux-0.3.1-1.fc24.src.rpm
Description: Graphical CPU utilization monitoring utility
Fedora Account System Username: jvanek

Comment 7 Yunying Sun 2016-10-24 08:57:19 UTC
> %autosetup -n %{name}-%{name}-%{version}
Is the duplicate %{name} intentional?

Local build result maybe different given different system setups and environments, so suppose a koji scratch build is still needed to expose any general compiling and/or dependency issues.

Comment 8 Yunying Sun 2016-10-24 09:00:47 UTC
Note that I'm a not-approved packager too, having 2 packages waiting for approval: bug 1369708 and 1369720. Would appreciate if a swap-review is possible.

Comment 9 jiri vanek 2016-10-24 09:04:06 UTC
(In reply to yunying.sun from comment #7)
> > %autosetup -n %{name}-%{name}-%{version}
> Is the duplicate %{name} intentional?

Yes it is. It is how github generates src tarballs from release.

> 
> Local build result maybe different given different system setups and
> environments, so suppose a koji scratch build is still needed to expose any
> general compiling and/or dependency issues.

As you wish:
f24: http://koji.fedoraproject.org/koji/taskinfo?taskID=16185076
f25: http://koji.fedoraproject.org/koji/taskinfo?taskID=16185084
f26: http://koji.fedoraproject.org/koji/taskinfo?taskID=16185089

Intels passed... waiting for arms..

Comment 10 jiri vanek 2016-10-24 09:05:50 UTC
(In reply to yunying.sun from comment #8)
> Note that I'm a not-approved packager too, having 2 packages waiting for
> approval: bug 1369708 and 1369720. Would appreciate if a swap-review is
> possible.

Both bugs already have a lot of comments. Surely one of the commenter would take the review. If not, please try to ping me again, and I will do my best. 
However boith your packages looks pretty complex native applications. And my expertise is in java world, so I'm really hesitating to help immediately.

Comment 11 jiri vanek 2016-10-24 09:09:24 UTC
(In reply to jiri vanek from comment #9)
> (In reply to yunying.sun from comment #7)
> > > %autosetup -n %{name}-%{name}-%{version}
> > Is the duplicate %{name} intentional?
> 
> Yes it is. It is how github generates src tarballs from release.
> 
> > 
> > Local build result maybe different given different system setups and
> > environments, so suppose a koji scratch build is still needed to expose any
> > general compiling and/or dependency issues.
> 
> As you wish:
> f24: http://koji.fedoraproject.org/koji/taskinfo?taskID=16185076
> f25: http://koji.fedoraproject.org/koji/taskinfo?taskID=16185084
> f26: http://koji.fedoraproject.org/koji/taskinfo?taskID=16185089
> 
> Intels passed... waiting for arms..

Ok. Arms passed too.

Comment 12 Raphael Groner 2016-11-05 23:12:05 UTC
Are you interested in a review swap? Maybe you can look into bug #1380179.

Comment 13 Raphael Groner 2016-11-11 21:08:18 UTC
APPROVED.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: coreutils gcc sed
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
=> Ignore.

[?]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
=> Please add a short comment why to use makefile.patch. 


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
=> Artistic clarified.

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 18 files have unknown license. Detailed
     output of licensecheck in /home/builder/fedora-review/1385331-hot-
     tux/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in hot-tux-
     debuginfo
=> Ignore.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[?]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
=> Please add a short comment why to use makefile.patch. 

[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: hot-tux-0.3.1-1.fc26.x86_64.rpm
          hot-tux-debuginfo-0.3.1-1.fc26.x86_64.rpm
          hot-tux-0.3.1-1.fc26.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (debuginfo)
-------------------
Checking: hot-tux-debuginfo-0.3.1-1.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
hot-tux (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    rtld(GNU_HASH)

hot-tux-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
hot-tux:
    hot-tux
    hot-tux(x86-64)

hot-tux-debuginfo:
    hot-tux-debuginfo
    hot-tux-debuginfo(x86-64)



Source checksums
----------------
https://github.com/judovana/hot-tux/archive/hot-tux-0.3.1.tar.gz :
  CHECKSUM(SHA256) this package     : c789f6b13cc04cc97efd987323dcdcb87de2a7273f951b9c9e5558947fbda09f
  CHECKSUM(SHA256) upstream package : c789f6b13cc04cc97efd987323dcdcb87de2a7273f951b9c9e5558947fbda09f


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1385331
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 14 jiri vanek 2016-11-14 10:18:18 UTC
ty!

Comment 15 Gwyn Ciesla 2016-11-14 15:42:20 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/hot-tux

Comment 16 Raphael Groner 2016-12-09 22:28:05 UTC
Any news here? Are you still interested to maintain this package?
Please import to PkgDB and build some packages in the requested branches.

Comment 17 jiri vanek 2016-12-16 09:16:56 UTC
hi! I completely missed ... a lot obviously.... My apologise and thank you for reminder. A will import, build and maintain the package asap. TY !

Comment 18 Fedora Update System 2016-12-16 10:24:50 UTC
hot-tux-0.3.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5079471824

Comment 19 Fedora Update System 2016-12-16 10:25:00 UTC
hot-tux-0.3.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fd60530018

Comment 20 Fedora Update System 2016-12-16 10:25:07 UTC
hot-tux-0.3.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-81ec38f9e1

Comment 21 Fedora Update System 2016-12-17 01:35:45 UTC
hot-tux-0.3.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fd60530018

Comment 22 Fedora Update System 2016-12-17 01:37:41 UTC
hot-tux-0.3.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5079471824

Comment 23 Fedora Update System 2016-12-19 20:59:13 UTC
hot-tux-0.3.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-81ec38f9e1

Comment 24 Fedora Update System 2017-01-20 17:52:41 UTC
hot-tux-0.3.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2017-01-20 18:17:48 UTC
hot-tux-0.3.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.